import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util';
import { CnGateway } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-26 16:18
 */
interface CnGatewayCU extends ConditionUtil<CnGatewayCU> {
    ID: FieldUtil<CnGatewayCU>;
    SERVICE_CENTER_ID: FieldUtil<CnGatewayCU>;
    APP_ID: FieldUtil<CnGatewayCU>;
    ENV_ID: FieldUtil<CnGatewayCU>;
    ENV_CODE: FieldUtil<CnGatewayCU>;
    NAME: FieldUtil<CnGatewayCU>;
    K8S_ID: FieldUtil<CnGatewayCU>;
    CONFIG_CENTER_CODE: FieldUtil<CnGatewayCU>;
    IMAGE_ID: FieldUtil<CnGatewayCU>;
    IMAGE_INFO: FieldUtil<CnGatewayCU>;
    START_SCRIPT: FieldUtil<CnGatewayCU>;
    SPEC_TEMPLATE_ID: FieldUtil<CnGatewayCU>;
    METRICS_TEMPLATE_ID: FieldUtil<CnGatewayCU>;
    MIN_INSTANCE: FieldUtil<CnGatewayCU>;
    MAX_INSTANCE: FieldUtil<CnGatewayCU>;
    CPU: FieldUtil<CnGatewayCU>;
    MEMORY: FieldUtil<CnGatewayCU>;
    DOMAIN: FieldUtil<CnGatewayCU>;
    URI: FieldUtil<CnGatewayCU>;
    APP_OPTIONS_CONFIG: FieldUtil<CnGatewayCU>;
    DEPLOY_STATUS: FieldUtil<CnGatewayCU>;
    DEPLOY_MSG: FieldUtil<CnGatewayCU>;
    DELETED: FieldUtil<CnGatewayCU>;
    CREATE_USER_ID: FieldUtil<CnGatewayCU>;
    CREATE_TIME: FieldUtil<CnGatewayCU>;
    UPDATE_USER_ID: FieldUtil<CnGatewayCU>;
    UPDATE_TIME: FieldUtil<CnGatewayCU>;
    SERVICE_CENTER_NAME: FieldUtil<CnGatewayCU>;
    APP_NAME: FieldUtil<CnGatewayCU>;
    K8S_NAME: FieldUtil<CnGatewayCU>;
    IMAGE_NAME: FieldUtil<CnGatewayCU>;
    SPEC_TEMPLATE_NAME: FieldUtil<CnGatewayCU>;
    METRICS_TEMPLATE_NAME: FieldUtil<CnGatewayCU>;
    IMAGE_PORT_MAPPING: FieldUtil<CnGatewayCU>;
    ELASTIC_TYPE: FieldUtil<CnGatewayCU>;
    CN_SLB_ID: FieldUtil<CnGatewayCU>;
    DEPLOY_TAG: FieldUtil<CnGatewayCU>;
}
declare class CnGatewayMU extends TableUtilImpl<CnGatewayCU, CnGateway> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: SubTable[];
    createConditionUtil(): CnGatewayCU;
    static get ID(): FieldUtil<CnGatewayCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<CnGatewayCU>;
    static get APP_ID(): FieldUtil<CnGatewayCU>;
    static get ENV_ID(): FieldUtil<CnGatewayCU>;
    static get ENV_CODE(): FieldUtil<CnGatewayCU>;
    static get NAME(): FieldUtil<CnGatewayCU>;
    static get K8S_ID(): FieldUtil<CnGatewayCU>;
    static get CONFIG_CENTER_CODE(): FieldUtil<CnGatewayCU>;
    static get IMAGE_ID(): FieldUtil<CnGatewayCU>;
    static get IMAGE_INFO(): FieldUtil<CnGatewayCU>;
    static get START_SCRIPT(): FieldUtil<CnGatewayCU>;
    static get SPEC_TEMPLATE_ID(): FieldUtil<CnGatewayCU>;
    static get METRICS_TEMPLATE_ID(): FieldUtil<CnGatewayCU>;
    static get MIN_INSTANCE(): FieldUtil<CnGatewayCU>;
    static get MAX_INSTANCE(): FieldUtil<CnGatewayCU>;
    static get CPU(): FieldUtil<CnGatewayCU>;
    static get MEMORY(): FieldUtil<CnGatewayCU>;
    static get DOMAIN(): FieldUtil<CnGatewayCU>;
    static get URI(): FieldUtil<CnGatewayCU>;
    static get APP_OPTIONS_CONFIG(): FieldUtil<CnGatewayCU>;
    static get DEPLOY_STATUS(): FieldUtil<CnGatewayCU>;
    static get DEPLOY_MSG(): FieldUtil<CnGatewayCU>;
    static get DELETED(): FieldUtil<CnGatewayCU>;
    static get CREATE_USER_ID(): FieldUtil<CnGatewayCU>;
    static get CREATE_TIME(): FieldUtil<CnGatewayCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnGatewayCU>;
    static get UPDATE_TIME(): FieldUtil<CnGatewayCU>;
    static get SERVICE_CENTER_NAME(): FieldUtil<CnGatewayCU>;
    static get APP_NAME(): FieldUtil<CnGatewayCU>;
    static get K8S_NAME(): FieldUtil<CnGatewayCU>;
    static get IMAGE_NAME(): FieldUtil<CnGatewayCU>;
    static get SPEC_TEMPLATE_NAME(): FieldUtil<CnGatewayCU>;
    static get METRICS_TEMPLATE_NAME(): FieldUtil<CnGatewayCU>;
    static get IMAGE_PORT_MAPPING(): FieldUtil<CnGatewayCU>;
    static get ELASTIC_TYPE(): FieldUtil<CnGatewayCU>;
    static get CN_SLB_ID(): FieldUtil<CnGatewayCU>;
    static get DEPLOY_TAG(): FieldUtil<CnGatewayCU>;
    static get SLB_NAME(): FieldInfo;
    static get SLB_IP(): FieldInfo;
    get ID(): FieldUtil<CnGatewayCU>;
    get SERVICE_CENTER_ID(): FieldUtil<CnGatewayCU>;
    get APP_ID(): FieldUtil<CnGatewayCU>;
    get ENV_ID(): FieldUtil<CnGatewayCU>;
    get ENV_CODE(): FieldUtil<CnGatewayCU>;
    get NAME(): FieldUtil<CnGatewayCU>;
    get K8S_ID(): FieldUtil<CnGatewayCU>;
    get CONFIG_CENTER_CODE(): FieldUtil<CnGatewayCU>;
    get IMAGE_ID(): FieldUtil<CnGatewayCU>;
    get IMAGE_INFO(): FieldUtil<CnGatewayCU>;
    get START_SCRIPT(): FieldUtil<CnGatewayCU>;
    get SPEC_TEMPLATE_ID(): FieldUtil<CnGatewayCU>;
    get METRICS_TEMPLATE_ID(): FieldUtil<CnGatewayCU>;
    get MIN_INSTANCE(): FieldUtil<CnGatewayCU>;
    get MAX_INSTANCE(): FieldUtil<CnGatewayCU>;
    get CPU(): FieldUtil<CnGatewayCU>;
    get MEMORY(): FieldUtil<CnGatewayCU>;
    get DOMAIN(): FieldUtil<CnGatewayCU>;
    get URI(): FieldUtil<CnGatewayCU>;
    get APP_OPTIONS_CONFIG(): FieldUtil<CnGatewayCU>;
    get DEPLOY_STATUS(): FieldUtil<CnGatewayCU>;
    get DEPLOY_MSG(): FieldUtil<CnGatewayCU>;
    get DELETED(): FieldUtil<CnGatewayCU>;
    get CREATE_USER_ID(): FieldUtil<CnGatewayCU>;
    get CREATE_TIME(): FieldUtil<CnGatewayCU>;
    get UPDATE_USER_ID(): FieldUtil<CnGatewayCU>;
    get UPDATE_TIME(): FieldUtil<CnGatewayCU>;
    get SERVICE_CENTER_NAME(): FieldUtil<CnGatewayCU>;
    get APP_NAME(): FieldUtil<CnGatewayCU>;
    get K8S_NAME(): FieldUtil<CnGatewayCU>;
    get IMAGE_NAME(): FieldUtil<CnGatewayCU>;
    get SPEC_TEMPLATE_NAME(): FieldUtil<CnGatewayCU>;
    get METRICS_TEMPLATE_NAME(): FieldUtil<CnGatewayCU>;
    get IMAGE_PORT_MAPPING(): FieldUtil<CnGatewayCU>;
    get ELASTIC_TYPE(): FieldUtil<CnGatewayCU>;
    get CN_SLB_ID(): FieldUtil<CnGatewayCU>;
    get DEPLOY_TAG(): FieldUtil<CnGatewayCU>;
    get SLB_NAME(): FieldInfo;
    get SLB_IP(): FieldInfo;
}
export { CnGatewayMU, CnGatewayCU };
